[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [packagekit] A PackageKit browser plugin



On Sun, Jul 27, 2008 at 4:00 AM, Richard Hughes <hughsient gmail com> wrote:


Yes, but the licence could be tricky. All of stuff in PackageKit has to
be (L)GPLv2+ -- I can't confess to being a licence expert, so I don't
know how MPL 1.1/GPL 2.0/LGPL 2.1 would affect things.

Well, keep in mind that this isn't the same target use case as the pk shared libraries; i.e. nothing except Firefox-derived codebases is going to be linking in Firefox extensions.   And that LGPL 2.1 and LGPLv2+ are certainly compatible, it's effectively LGPL 2.1.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]